# Transfer Domains (https://developer.godaddy.com/en/docs/references/rest/domains/v1/transfer-domains)

***

title: Transfer Domains
full: true
\_openapi:
method: POST
toc:

* depth: 2
  title: Purchase and start or restart transfer process
  url: '#purchase-and-start-or-restart-transfer-process'
  structuredData:
  headings:
  * content: Purchase and start or restart transfer process
    id: purchase-and-start-or-restart-transfer-process
    contents:
  * content: >-
    Initiates an inbound domain transfer from another registrar. Requires
    an authcode and a consent object with agreement keys. Charges a
    transfer fee.
    heading: purchase-and-start-or-restart-transfer-process

***

## POST /v1/domains/{domain}/transfer

Purchase and start or restart transfer process

Initiates an inbound domain transfer from another registrar. Requires an authcode and a consent object with agreement keys. Charges a transfer fee.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `domain` | string | yes | Domain to transfer in |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Shopper-Id` | string | no | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. |

### Request body (required)

Details for domain transfer purchase

Content-Type: `application/json`

Schema:

- object
  - `authCode` (required): string — Authorization code from registrar for transferring a domain
  - `consent` (required): object
      - `agreedAt` (required): string <iso-datetime> — Timestamp indicating when the end-user consented to these legal agreements
      - `agreedBy` (required): string — Originating client IP address of the end-user's computer when they consented to these legal agreements
      - `agreementKeys` (required): array — Unique identifiers of the legal agreements to which the end-user has agreed, as returned from the/domains/agreements endpoint
          - items:
  - `period`: integer <integer-positive> — Can be more than 1 but no more than 10 years total including current registration length
  - `privacy`: boolean — Whether or not privacy has been requested
  - `renewAuto`: boolean — Whether or not the domain should be configured to automatically renew
  - `contactAdmin`: object
      - `addressMailing` (required): object
          - `address1` (required): string <street-address>
          - `address2`: string <street-address2>
          - `city` (required): string <city-name>
          - `country` (required): string <iso-country-code> — Two-letter ISO country code to be used as a hint for target region
            - enum: "AC", "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KR", "KV", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "ST", "SV", "SX", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TP", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "YE", "YT", "ZA", "ZM", "ZW"
          - `postalCode` (required): string <postal-code> — Postal or zip code
          - `state` (required): string <state-province-territory> — State or province or territory
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactBilling`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactRegistrant`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactTech`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>

Content-Type: `application/xml`

Schema:

- object
  - `authCode` (required): string — Authorization code from registrar for transferring a domain
  - `consent` (required): object
      - `agreedAt` (required): string <iso-datetime> — Timestamp indicating when the end-user consented to these legal agreements
      - `agreedBy` (required): string — Originating client IP address of the end-user's computer when they consented to these legal agreements
      - `agreementKeys` (required): array — Unique identifiers of the legal agreements to which the end-user has agreed, as returned from the/domains/agreements endpoint
          - items:
  - `period`: integer <integer-positive> — Can be more than 1 but no more than 10 years total including current registration length
  - `privacy`: boolean — Whether or not privacy has been requested
  - `renewAuto`: boolean — Whether or not the domain should be configured to automatically renew
  - `contactAdmin`: object
      - `addressMailing` (required): object
          - `address1` (required): string <street-address>
          - `address2`: string <street-address2>
          - `city` (required): string <city-name>
          - `country` (required): string <iso-country-code> — Two-letter ISO country code to be used as a hint for target region
            - enum: "AC", "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KR", "KV", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "ST", "SV", "SX", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TP", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "YE", "YT", "ZA", "ZM", "ZW"
          - `postalCode` (required): string <postal-code> — Postal or zip code
          - `state` (required): string <state-province-territory> — State or province or territory
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactBilling`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactRegistrant`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactTech`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>

Content-Type: `text/xml`

Schema:

- object
  - `authCode` (required): string — Authorization code from registrar for transferring a domain
  - `consent` (required): object
      - `agreedAt` (required): string <iso-datetime> — Timestamp indicating when the end-user consented to these legal agreements
      - `agreedBy` (required): string — Originating client IP address of the end-user's computer when they consented to these legal agreements
      - `agreementKeys` (required): array — Unique identifiers of the legal agreements to which the end-user has agreed, as returned from the/domains/agreements endpoint
          - items:
  - `period`: integer <integer-positive> — Can be more than 1 but no more than 10 years total including current registration length
  - `privacy`: boolean — Whether or not privacy has been requested
  - `renewAuto`: boolean — Whether or not the domain should be configured to automatically renew
  - `contactAdmin`: object
      - `addressMailing` (required): object
          - `address1` (required): string <street-address>
          - `address2`: string <street-address2>
          - `city` (required): string <city-name>
          - `country` (required): string <iso-country-code> — Two-letter ISO country code to be used as a hint for target region
            - enum: "AC", "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KR", "KV", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "ST", "SV", "SX", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TP", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "YE", "YT", "ZA", "ZM", "ZW"
          - `postalCode` (required): string <postal-code> — Postal or zip code
          - `state` (required): string <state-province-territory> — State or province or territory
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactBilling`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactRegistrant`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>
  - `contactTech`: object
      - `addressMailing` (required): object
      - `email` (required): string <email>
      - `fax`: string <phone>
      - `jobTitle`: string
      - `nameFirst` (required): string <person-name>
      - `nameLast` (required): string <person-name>
      - `nameMiddle`: string
      - `organization`: string <organization-name>
      - `phone` (required): string <phone>

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- object
  - `currency`: string <iso-currency-code> — Currency in which the `total` is listed
  - `itemCount` (required): integer <integer-positive> — Number items included in the order
  - `orderId` (required): integer <integer-positive> — Unique identifier of the order processed to purchase the domain
  - `total` (required): integer <currency-micro-unit> — Total cost of the domain and any selected add-ons

Content-Type: `application/javascript`

Schema:

- object
  - `currency`: string <iso-currency-code> — Currency in which the `total` is listed
  - `itemCount` (required): integer <integer-positive> — Number items included in the order
  - `orderId` (required): integer <integer-positive> — Unique identifier of the order processed to purchase the domain
  - `total` (required): integer <currency-micro-unit> — Total cost of the domain and any selected add-ons

Content-Type: `application/xml`

Schema:

- object
  - `currency`: string <iso-currency-code> — Currency in which the `total` is listed
  - `itemCount` (required): integer <integer-positive> — Number items included in the order
  - `orderId` (required): integer <integer-positive> — Unique identifier of the order processed to purchase the domain
  - `total` (required): integer <currency-micro-unit> — Total cost of the domain and any selected add-ons

Content-Type: `text/javascript`

Schema:

- object
  - `currency`: string <iso-currency-code> — Currency in which the `total` is listed
  - `itemCount` (required): integer <integer-positive> — Number items included in the order
  - `orderId` (required): integer <integer-positive> — Unique identifier of the order processed to purchase the domain
  - `total` (required): integer <currency-micro-unit> — Total cost of the domain and any selected add-ons

Content-Type: `text/xml`

Schema:

- object
  - `currency`: string <iso-currency-code> — Currency in which the `total` is listed
  - `itemCount` (required): integer <integer-positive> — Number items included in the order
  - `orderId` (required): integer <integer-positive> — Unique identifier of the order processed to purchase the domain
  - `total` (required): integer <currency-micro-unit> — Total cost of the domain and any selected add-ons

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**409** — `domain` (domain) isn't available for transfer

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**422** — - Based on restrictions declared in JSON schema returned by `./schema/{tld}`
- Cannot convert domain label error
- Domain is missing IDN script
- Domain segment ends with dash
- Domain starts with dash
- Domain uses unsupported IDN script
- End-user must read and consent to all of the following legal agreements
- FQDN fails generic validity regex
- Invalid character(s) error
- Invalid period range
- Invalid tld error
- Non-IDN domain name must not have dashes at the third and fourth position
- Reserved name error
- `authCode` cannot be empty
- `domain` must match `sld.tld`
- domain must be specified

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

Content-Type: `application/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

Content-Type: `application/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

Content-Type: `text/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

Content-Type: `text/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `application/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/javascript`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

Content-Type: `text/xml`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — - JSONPath referring to a field containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**Security:** requires `bearerAuth`.
